#ifndef __traps__
# define __traps__
extern  unsigned reset_type__;        /* 0 - reset, 1 - nmi, 2 - dbg         */
extern  boolean  pending_flag__;
extern  unsigned trap_type__;
extern void cont_reset__();
extern void cont_nmi_user__();
extern void cont_trace__();
extern void cont_bpt__();
extern void cont_abort__();
extern void cont_svc_err__(/* errmsg */);
extern void cont_misc_traps__();
extern void enter_cmon__(/* message */);
#endif
